Page MenuHomePhabricator

Deploy ORES RC Filters in Korean Wikipedia
Closed, ResolvedPublic

Event Timeline

Halfak created this task.Mar 28 2017, 4:37 PM
Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptMar 28 2017, 4:37 PM
Halfak triaged this task as Low priority.
Halfak renamed this task from Deploy ORES Review Tool in kowiki to Deploy ORES RC Filters in Korean Wikipedia.Feb 27 2019, 4:45 PM
Halfak added a project: Growth-Team.
SBisson claimed this task.
SBisson moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.

Proposed config for goodfaith

leveldefault configprecisionrecallrangeproposed configprecisionrecallrange
likelygoodmaximum recall @ precision >= 0.9950.9950.8330.808 - 1maximum recall @ precision >= 0.990.990.940.617 - 1
maybebadmaximum filter_rate @ recall >= 0.90.0620.9010 - 0.909maximum recall @ precision >= 0.150.150.5040 - 0.606
likelybadmaximum recall @ precision >= 0.60.6120.1280 - 0.216use default---
verylikelybadfalse (disabled)---use default---

Proposed config for damaging

leveldefault configprecisionrecallrangeproposed configprecisionrecallrange
likelygoodmaximum recall @ precision >= 0.9950.9950.7030 - 0.137maximum recall @ precision >= 0.990.990.8010 - 0.283
maybebadmaximum filter_rate @ recall >= 0.90.1130.9020.153 - 1use default---
likelybadmaximum recall @ precision >= 0.60.6120.1330.77 - 1maximum recall @ precision >= 0.450.4560.210.699 - 1
verylikelybadmaximum recall @ precision >= 0.90.9420.0220.959 - 1(maybe?) maximum recall @ precision >= 0.750.7580.0920.851 - 1

Looks good to me.
Re damaging maybebad: I was wondering why you didn't pick 15% precision there, but now I see that that drops the recall all the way down to 75%, which I agree isn't worth it.
Re damaging verylikelybad: yeah 9.2% recall isn't great, but I'm leaning towards including it rather than dropping the verylikelybad level.

Re damaging verylikelybad: yeah 9.2% recall isn't great, but I'm leaning towards including it rather than dropping the verylikelybad level.

Yeah, I'm proposing we keep it with maximum recall @ precision >= 0.75

Change 494222 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[operations/mediawiki-config@master] Enable and configure ORES goodfaith and damaging rcfilters

https://gerrit.wikimedia.org/r/494222

Change 494222 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable and configure ORES goodfaith and damaging rcfilters

https://gerrit.wikimedia.org/r/494222

Change 494301 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[operations/mediawiki-config@master] Enable and configure ORES goodfaith and damaging rcfilters

https://gerrit.wikimedia.org/r/494301

We tried to deploy this today at 19:00 UTC but failed. We'll try again in the 00:00-01:00 UTC deployment window. (cc @revi )

Change 494301 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable and configure ORES goodfaith and damaging rcfilters on kowiki

https://gerrit.wikimedia.org/r/494301

Mentioned in SAL (#wikimedia-operations) [2019-03-05T00:12:42Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable ORES on kowiki (T161628) (duration: 00m 49s)

Etonkovidova closed this task as Resolved.Mar 6 2019, 6:12 PM